Berkeley DB version 4.8.30

## com.sleepycat.persist
Class StoreNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DatabaseException
                  com.sleepycat.persist.StoreNotFoundException

All Implemented Interfaces:
  Serializable

    public class StoreNotFoundException

extends DatabaseException

Thrown by the `EntityStore` constructor when the `AllowCreate` configuration parameter is false and the store's internal catalog database does not exist.

See Also:
  Serialized Form

Constructor Summary
`StoreNotFoundException(String message)`

Method Summary

Methods inherited from class com.sleepycat.db.DatabaseException
`getEnvironment, getErrno, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoreNotFoundException

    public StoreNotFoundException(String message)

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.